<template lang="pug">
.header
  .header__content
    MenuItem(
      v-for="item, index in items"
      :key="index"
      :item="item"
    )
</template>

<script>
import MenuItem from '@/components/parts/MenuItem.vue'

export default {
  name: 'Header',
  components: {
    MenuItem
  },
  computed: {
    items() {
      return this.$store.getters.menu
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.header
  width: 100%
  background: lightColor
  box-shadow: 0px 10px 10px -7px rgba(0,0,0,0.3)
  position: relative
  z-index: 9
  &__content
    height: 80px
    margin: auto
    max-width: 1200px
    display: flex
    align-items: center
    justify-content: space-between
</style>
